import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { ActiveCartService, Cart, MultiCartService } from '@spartacus/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { CartService } from '../services/cart.service';
import * as i0 from "@angular/core";
export declare class CustomCartComponent implements OnInit, OnChanges {
    private cartService;
    private activeCartService;
    protected multiCartService: MultiCartService;
    private cdr;
    cartId: any;
    showWaitCursor: BehaviorSubject<boolean>;
    cart$: Observable<Cart>;
    totalPriceFormat: any;
    constructor(cartService: CartService, activeCartService: ActiveCartService, multiCartService: MultiCartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    isNullOrEmpty(value: any): boolean;
    clearCart(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomCartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomCartComponent, "app-custom-cart", never, { "totalPriceFormat": "totalPriceFormat"; }, {}, never, never>;
}
