import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../../services/cart.service';
import * as i0 from "@angular/core";
export declare class OrderDetailListComponent implements OnInit, OnChanges {
    private cartService;
    private cdr;
    showDetails: any;
    cartDetails: any;
    sortByVal: any;
    showWaitCursor: BehaviorSubject<boolean>;
    orderDate: any;
    isCardData: any;
    noRecord?: string;
    imageModalSrc: any;
    environment: any;
    env: any;
    constructor(cartService: CartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    getImageDetails(cartDetails: any, thumbnail?: any): any;
    showHide(ind: number): void;
    viewImage(event: any, cartDetails: any): void;
    getPdfLink(cartDetails: any): void;
    hasImage(cartDetails: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderDetailListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderDetailListComponent, "app-order-detail-list", never, { "cartDetails": "cartDetails"; "sortByVal": "sortByVal"; "orderDate": "orderDate"; "isCardData": "isCardData"; }, {}, never, never>;
}
