import { OnInit } from '@angular/core';
import { SavedCartDetailsService } from '@spartacus/cart/saved-cart/components';
import { SavedCartFacade } from '@spartacus/cart/saved-cart/root';
import { Cart, RoutingService } from '@spartacus/core';
import { BehaviorSubject, Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SavedCartDetailsActionComponent implements OnInit {
    protected savedCartDetailsService: SavedCartDetailsService;
    protected savedCartService: SavedCartFacade;
    routingService: RoutingService;
    savedCartList: {
        savedCarts: string;
        cartName: string;
        nameofCart: string;
        dateSaved: string;
        quantity: string;
        total: string;
        actions: string;
        cancel: string;
        delete: string;
        confirm: string;
        makeCartActive: string;
        cartDescription: string;
        makeCartDelete: string;
        makeCartBacktoSave: string;
        retainCopyTxt: string;
        readmore: string;
        restoredCartPara: string;
        deleteCartPara: string;
    };
    selectedCartId: number;
    showPopUp: boolean;
    savedCartDetails: {
        cartName: string;
        editSavedCart: string;
        cartDescription: string;
        dateSaved: string;
        items: string;
        quantity: string;
        total: string;
        readmore: string;
        deleteSavedCart: string;
        exclandfreight: string;
    };
    showWaitCursor: BehaviorSubject<boolean>;
    descriptionLength: any;
    makeActiveData: any;
    isMobile: boolean;
    isTablet: boolean;
    isDesktop: boolean;
    isDelete: boolean;
    savedCarts$: Observable<Cart[]>;
    protected savedCartId$: Observable<any>;
    savedCart$: Observable<Cart | undefined>;
    subscription: any;
    constructor(savedCartDetailsService: SavedCartDetailsService, savedCartService: SavedCartFacade, routingService: RoutingService);
    ngOnInit(): void;
    makeActiveCart(event: Event): void;
    deleteCart(event: Event): void;
    getResponseData(): void;
    onResize(event: any): void;
    onPageRefresh(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SavedCartDetailsActionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SavedCartDetailsActionComponent, "app-saved-cart-details-action", never, {}, {}, never, never>;
}
