import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { SavedCartFacade } from '@spartacus/cart/saved-cart/root';
import { Cart, CmsService, RoutingService } from '@spartacus/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { SavedCartService } from './saved-cart.service';
import * as i0 from "@angular/core";
export declare class CustomSavedCartComponent implements OnInit {
    protected routing: RoutingService;
    protected savedCartService: SavedCartFacade;
    cmsService: CmsService;
    service: SavedCartService;
    private formBuilder;
    makeCartActiiveForm: FormGroup;
    savedCartList: {
        savedCarts: string;
        cartName: string;
        nameofCart: string;
        dateSaved: string;
        quantity: string;
        total: string;
        actions: string;
        cancel: string;
        delete: string;
        confirm: string;
        makeCartActive: string;
        cartDescription: string;
        makeCartDelete: string;
        makeCartBacktoSave: string;
        retainCopyTxt: string;
        readmore: string;
        restoredCartPara: string;
        deleteCartPara: string;
    };
    noSavedCartData: any;
    savedCartHeading: any;
    pageTitle: any;
    dataAvailale?: string;
    makeActiveData: any;
    descriptionLength: any;
    nameMaxLength: number;
    cloneRecord: boolean;
    cartName: string;
    showWaitCursor: BehaviorSubject<boolean>;
    makeCartActiveForm: any;
    selectedCartId: number;
    showPopUp: boolean;
    constructor(routing: RoutingService, savedCartService: SavedCartFacade, cmsService: CmsService, service: SavedCartService, formBuilder: FormBuilder);
    savedCarts$: Observable<Cart[]>;
    ngOnInit(): void;
    getData(): void;
    goToSavedCartDetails(cart: Cart): void;
    makeActiveCart(event: Event, cartId: any): void;
    changeRetainCopy(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CustomSavedCartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CustomSavedCartComponent, "app-custom-saved-cart", never, {}, {}, never, never>;
}
