import { ModuleWithProviders } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "./order-confirmation/order-confirmation.component";
import * as i2 from "./order-review/order-review.component";
import * as i3 from "./order-review/delivery-information/delivery-information.component";
import * as i4 from "./order-review/order-review-list/order-review-list.component";
import * as i5 from "./order-review/order-review-grid/order-review-grid.component";
import * as i6 from "./custom-checkout/custom-checkout.component";
import * as i7 from "./add-new-address/add-new-address.component";
import * as i8 from "@angular/common";
import * as i9 from "@angular/material/card";
import * as i10 from "@angular/material/list";
import * as i11 from "@spartacus/storefront";
import * as i12 from "@angular/forms";
import * as i13 from "@ng-bootstrap/ng-bootstrap";
import * as i14 from "@angular/material/radio";
import * as i15 from "../shared/shared-components.module";
import * as i16 from "@syncfusion/ej2-angular-calendars";
import * as i17 from "ngx-hide-on-scroll";
import * as i18 from "@spartacus/core";
export declare class CheckoutModule {
    constructor(parentModule?: CheckoutModule);
    static forRoot(environment: any): ModuleWithProviders<CheckoutModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckoutModule, [{ optional: true; skipSelf: true; }]>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CheckoutModule, [typeof i1.OrderConfirmationComponent, typeof i2.OrderReviewComponent, typeof i3.DeliveryInformationComponent, typeof i4.OrderReviewListComponent, typeof i5.OrderReviewGridComponent, typeof i6.CustomCheckoutComponent, typeof i7.AddNewAddressComponent], [typeof i8.CommonModule, typeof i9.MatCardModule, typeof i10.MatListModule, typeof i11.MediaModule, typeof i12.FormsModule, typeof i12.ReactiveFormsModule, typeof i13.NgbDatepickerModule, typeof i14.MatRadioModule, typeof i15.SharedComponentsModule, typeof i15.SharedComponentsModule, typeof i16.TimePickerModule, typeof i13.NgbModule, typeof i17.NgxHideOnScrollModule, typeof i18.ConfigModule], never>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CheckoutModule>;
}
