import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { CartService } from '../../../services/cart.service';
import * as i0 from "@angular/core";
export declare class OrderReviewGridComponent implements OnInit {
    private cartService;
    private cdr;
    showDetails: any;
    arrowUpDown: any;
    showWaitCursor: BehaviorSubject<boolean>;
    cartDetails: any;
    updateCartEntry: EventEmitter<any>;
    isCardData: any;
    environment: any;
    env: any;
    imageModalSrc: any;
    constructor(cartService: CartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    showHide(ind: number): void;
    arrowHideShow(id: number): void;
    getImageDetails(cartDetails: any, thumbnail?: any): any;
    viewImage(event: any, cartDetails: any): void;
    getPdfLink(cartDetails: any): void;
    hasImage(cartDetails: any): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<OrderReviewGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OrderReviewGridComponent, "app-order-review-grid", never, { "cartDetails": "cartDetails"; "isCardData": "isCardData"; }, { "updateCartEntry": "updateCartEntry"; }, never, never>;
}
