import { OnInit } from '@angular/core';
import { SavedCartFacade } from '@spartacus/cart/saved-cart/root';
import { Cart, CmsService } from '@spartacus/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { SavedCartDetailsService } from '../saved-cart-details.service';
import * as i0 from "@angular/core";
export declare class SavedCartDetailsOverviewComponent implements OnInit {
    protected savedCartService: SavedCartFacade;
    protected savedCartDetailsService: SavedCartDetailsService;
    cmsService: CmsService;
    pageTitle: any;
    descriptionLength: boolean;
    savedCartDetails: {
        cartName: string;
        editSavedCart: string;
        cartDescription: string;
        dateSaved: string;
        items: string;
        quantity: string;
        total: string;
        readmore: string;
        deleteSavedCart: string;
        exclandfreight: string;
    };
    showWaitCursor: BehaviorSubject<boolean>;
    savedCart$: Observable<Cart | undefined>;
    constructor(savedCartService: SavedCartFacade, savedCartDetailsService: SavedCartDetailsService, cmsService: CmsService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SavedCartDetailsOverviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SavedCartDetailsOverviewComponent, "app-saved-cart-details-overview", never, {}, {}, never, never>;
}
