import { AfterViewInit, ChangeDetectorRef, OnInit } from '@angular/core';
import { CmsService } from '@spartacus/core';
import { BehaviorSubject } from 'rxjs';
import { AccountDropdownService } from '../account-dropdown/account-dropdown.service';
import { MyAccountService } from '../services/my-account.service';
import * as i0 from "@angular/core";
export declare class MyAccountComponent implements OnInit, AfterViewInit {
    private myAccountService;
    cmsService: CmsService;
    cd: ChangeDetectorRef;
    private fiUserAccountDetailsService;
    pageTitle: any;
    myAccountParagraph: any;
    selecteduserData: any;
    isDashboardClicked: boolean;
    isInvoiceTabClicked: boolean;
    isStatementsTabClicked: boolean;
    breadcrumbData: any;
    showWaitCursor: BehaviorSubject<boolean>;
    constructor(myAccountService: MyAccountService, cmsService: CmsService, cd: ChangeDetectorRef, fiUserAccountDetailsService: AccountDropdownService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onTabClick(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MyAccountComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MyAccountComponent, "app-my-account", never, {}, {}, never, never>;
}
